//Player.h//

#ifndef __PLAYER_H
#define __PLAYER_H

#include <string>
//using namespace std

/** @brief the player class */
class Player
{
  public:
    /// constructor takes the player name and current position (defaults to -1)
    Player(char cID, const string& rkoStrPName, int iCurPos=0);

    /// set the player's name
    void SetPName(const string& rkoStrPName);
 
    /// get the players' name
    string GetPName(void) const;

    /// set the player's current position
    void SetCurPos(const int iPos);

    /// get the players' current position
    int GetCurPos(void) const;
    
    /// set the player's ID
    void SetPID(const char cID);
    
    /// get the players' ID
    char GetPID(void) const;
        
  private:
    /// player's name
    string m_oStrPName;

    /// current position
    int m_iCurPos;
    
    /// player's id
    char m_cID;
};

#endif //__PLAYER_H

//Player.h//
