#include "BoardFactory.h"
#include <iostream>

using std::cout;
using std::cerr;
using std::endl;

int main (void)
{
  try
  {
    BoardFactory::Instance();
    const vector<string>& rkoList = BoardFactory::Instance()->List();
    for (int i=0; i<rkoList.size(); i++)
    {
      cout << rkoList[i] << endl;
    }
  }
  catch (runtime_error& rErr)
  {
    cerr << rErr.what() << endl;
    exit(-1);
  }

  return 0;
}
